
defaultTimezone=UTC
debug=true
#listenPort=12345

# log4j 2
#log4j.configuration=src/main/resources/log4j2.xml

# proxy settings
#proxy.host=10.255.1.241
#proxy.port=8080

# AWS default region
aws.region=eu-west-1

# AWS credentials
#aws.credentials=/home/orchestrator/sophia/servicebus/AwsCredentials.properties

# S3Service
s3.retry.list_objects=3
s3.retry.get_object=3
s3.retry.put_object=3
s3.retry.delete_object=3

# SQS service
sqs.endpoint=https://sqs.eu-west-1.amazonaws.com
sqs.max_number_of_messages=1
sqs.visibility_timeout=900


# DSR normalization


temp_file=usfncegrcfeygcfnegcfey.cccp
temp_file_V=hnuhdnfcdnfgdsfhgnksdh.cccp

# colonne da usare per il calcolo del prezzo unitario
transaction_id_column=2
unitary_price_column=15
amount_column=23

# line value model
# valori possibili: amount | unitary_price
line_value_model=amount

# costante di scala per il total value del report
total_value_scale=1
#total_value_scale=0.0001

# total value computed using only unique transaction ids (first entry)
#unique_transaction_ids=false

#generate_transaction_ids=true




#s3.src_bucket=siae-sophia-datalake
#s3.src_folder=original-source/fileVecchi
#s3.src_suffix=.xml.csv
#s3.src_suffix_V=.xml_V.csv

#s3.dst_bucket=siae-sophia-datalake
#s3.dst_folder=original-source/fileVecchiNoXml
#s3.dst_suffix=.csv.gz
#s3.dst_suffix_V=_V.csv

s3.src_bucket=siae-sophia-original-source
s3.src_folder=youtube/201701/DSR_BMAT_YouTube_AdSupport-music_2017-Q1_IT_1of1_20170602T183700
s3.src_suffix=.csv.gz
s3.src_suffix_V=_V.csv

s3.dst_bucket=siae-sophia-datalake
s3.dst_folder=SHARE/DSR
s3.dst_suffix=.csv.gz
s3.dst_suffix_V=_V.csv





